<?php

namespace Drupal\Tests\pluginreference\Functional\Update;

use Drupal\FunctionalTests\Update\UpdatePathTestBase;

/**
 * Update test that checks if configuration column was added.
 *
 * @group pluginreference
 */
class PluginReferenceUpdate9003 extends UpdatePathTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'node',
    'field',
    'block',
    'pluginreference',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setDatabaseDumpFiles() {
    $this->databaseDumpFiles = [
      DRUPAL_ROOT . '/core/modules/system/tests/fixtures/update/drupal-8.8.0.bare.standard.php.gz',
      __DIR__ . '/../../../fixtures/update/pluginreference-update-9000.php',
    ];
  }

  /**
   * Update test that checks if configuration column was added.
   *
   * @see pluginreference_update_9002()
   */
  public function testUpdate9002() {
    $this->assertFalse($this->container->get('database')->schema()->fieldExists('node__field_block', 'field_block_configuration'));
    $this->assertFalse($this->container->get('database')->schema()->fieldExists('node_revision__field_block', 'field_block_configuration'));
    $this->runUpdates();
    $this->assertTrue($this->container->get('database')->schema()->fieldExists('node__field_block', 'field_block_configuration'));
    $this->assertTrue($this->container->get('database')->schema()->fieldExists('node_revision__field_block', 'field_block_configuration'));
  }

}
